Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(54)

Unified Diff: tools/llvm_coverage_build

Issue 1213063009: Add scripts for running LLVM coverage (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: remove accidentally-include script Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tools/llvm_coverage_build
diff --git a/tools/llvm_coverage_build b/tools/llvm_coverage_build
new file mode 100755
index 0000000000000000000000000000000000000000..f769d6c1add9faa092d7b83ca232c4911c7b609c
--- /dev/null
+++ b/tools/llvm_coverage_build
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Build Skia for use with LLVM's coverage tools.
+#
+# $ tools/llvm_coverage_build [any other flags to pass to make...]
+#
+# This script assumes the use of Clang >=3.6.
+#
+set -e
+
+export CC="$(which clang)"
+export CXX="$(which clang++)"
+
+if [[ -z "${CC}" ]] || [[ -z "${CXX}" ]]; then
+ echo "Couldn't find Clang on this machine!"
+ exit 1
+fi
+
+echo "CC=$CC"
+echo "CXX=$CXX"
+$CC --version
+
+export GYP_DEFINES="skia_warnings_as_errors=0 skia_clang_build=1"
mtklein 2015/07/01 20:17:37 Is needing to disable warnings-as-errors due to Cl
borenet 2015/07/06 12:06:35 Clang. I have 3.6.0 on my machine and get these w
+export BUILDTYPE=Coverage
+make $@

Powered by Google App Engine
This is Rietveld 408576698